Skip to content
Get started

Initiate a dataset upload

POST/api/v1/datasets/upload/initiate

Initiate a dataset upload

Body ParametersJSONExpand Collapse
file_format: "csv" or "json" or "jsonl" or "parquet"

Format of the file being uploaded

One of the following:
"csv"
"json"
"jsonl"
"parquet"
name: string

Human-readable name for the dataset

ReturnsExpand Collapse
upload_url: string

Pre-signed S3 URL — upload the file directly to this URL via HTTP PUT

Initiate a dataset upload

curl https://api.adaptionlabs.ai/api/v1/datasets/upload/initiate \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $ADAPTION_API_KEY" \
    -d '{
          "file_format": "csv",
          "name": "my-training-data"
        }'
{
  "upload_url": "https://s3.amazonaws.com/bucket/key?X-Amz-Signature=..."
}
Returns Examples
{
  "upload_url": "https://s3.amazonaws.com/bucket/key?X-Amz-Signature=..."
}